Bug 184470 - BUG at include/linux/list.h:165
BUG at include/linux/list.h:165
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-08 18:37 EST by Björn Augustsson
Modified: 2015-01-04 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-05 16:43:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
BUG #1 (3.72 KB, text/plain)
2006-03-08 18:37 EST, Björn Augustsson
no flags Details
BUG #2 (3.67 KB, text/plain)
2006-03-08 18:38 EST, Björn Augustsson
no flags Details
BUG #3 (3.55 KB, text/plain)
2006-03-08 18:39 EST, Björn Augustsson
no flags Details
BUG #4 (3.56 KB, text/plain)
2006-03-08 18:40 EST, Björn Augustsson
no flags Details
Output of "lspci -vvv" (7.76 KB, text/plain)
2006-03-08 18:41 EST, Björn Augustsson
no flags Details
Another BUG from last night. (2.63 KB, text/plain)
2006-03-26 07:36 EST, Björn Augustsson
no flags Details
another instance of this bug in action (4.90 KB, text/plain)
2006-04-12 00:44 EDT, Steve Linabery
no flags Details
Another one, this time with 2.6.16-1.2096_FC4 (4.01 KB, text/plain)
2006-05-17 19:51 EDT, Björn Augustsson
no flags Details
Another, using the 2.6.16-1.2111_FC4 kernel. (5.31 KB, application/octet-stream)
2006-05-27 16:34 EDT, Björn Augustsson
no flags Details

  None (edit)
Description Björn Augustsson 2006-03-08 18:37:18 EST
Description of problem:

I've gotten four of these BUGs lately. All of them during normal
interactive use, fairly often while using mplayer.

These are the only problems I've had.  (Ie. no other BUGs, oopses, panics,
unexplained segfaults etc)

The first one (2.6.15-prep) is from the 1830 kernel, except I rebuilt it to have
usbhid as a module. I thought that might have caused it at first, but the other
three are from standard FC kernels.

I've attached the four traces from the syslog.

The machine is a Dell Dimension 8200 (1.9GHz P4, 1GB ram), I'll attach the
output of "lspci -vvv"

Version-Release number of selected component (if applicable):
( Also kernel-2.6.15-1.1830_FC4, but recompiled. )

How reproducible:
Not very. Four times in just over two weeks, and the computer is normally on 24/7.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Björn Augustsson 2006-03-08 18:37:19 EST
Created attachment 125843 [details]
BUG #1
Comment 2 Björn Augustsson 2006-03-08 18:38:40 EST
Created attachment 125844 [details]
BUG #2
Comment 3 Björn Augustsson 2006-03-08 18:39:24 EST
Created attachment 125845 [details]
BUG #3
Comment 4 Björn Augustsson 2006-03-08 18:40:04 EST
Created attachment 125846 [details]
BUG #4
Comment 5 Björn Augustsson 2006-03-08 18:41:43 EST
Created attachment 125847 [details]
Output of "lspci -vvv"
Comment 6 Björn Augustsson 2006-03-26 07:36:18 EST
Created attachment 126770 [details]
Another BUG from last night.

Got another one last night.  This time while running the 2.6.15-1.1833_FC4
It was during interactive use (web browsing) which seems to be the norm bfor
this bug.
Comment 7 Björn Augustsson 2006-04-09 08:41:46 EDT
FYI it also happens with the new 2.6.16-1.2069_FC4 kernel.

I ran memtest86+ for a couple of hours last night as well, and it passed that.

Comment 8 Björn Augustsson 2006-04-09 19:19:15 EDT
Actually the BUG happens on line 167 instead of 165 with 2.6.16-1.2069_FC4.

But it's the same sanity test:

BUG_ON(entry->prev->next != entry);

Any ideas on how to find out which list it is, or what broke it?

Also, with .16, I haven't gotten the full BUG output yet, just 

Apr  9 15:06:58 dell kernel: ------------[ cut here ]------------
Apr  9 15:06:58 dell kernel: kernel BUG at include/linux/list.h:167!
Apr  9 15:06:58 dell kernel: invalid opcode: 0000 [#1]
Apr  9 15:32:26 dell syslogd 1.4.1: restart.

Comment 9 Steve Linabery 2006-04-12 00:44:01 EDT
Created attachment 127649 [details]
another instance of this bug in action

here's the bug in action on a k7s5a mainboard. only non-fc4 software is sun jdk
1.4.2_11, clamav.
Comment 10 Björn Augustsson 2006-05-17 19:51:21 EDT
Created attachment 129376 [details]
Another one, this time with 2.6.16-1.2096_FC4

Another one, this time with 2.6.16-1.2096_FC4.

It also has a following fault, but it's incomplete.

Comment 11 Björn Augustsson 2006-05-27 16:34:34 EDT
Created attachment 130082 [details]
Another, using the 2.6.16-1.2111_FC4 kernel.

This one is a bit different, it's not the regular "BUG at ... list.h" at first.

(There is one of those as well, after a couple of seconds, but there's an oops
before that. Might I have stmbled upon the real reason for these?) 

The pattern is the usual, using mplayer and azureus. (almost certainly the
"java" process the oops happened "in".)

Comment 12 Dave Jones 2006-09-16 22:25:54 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 13 Dave Jones 2006-10-16 14:37:07 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 14 Björn Augustsson 2006-10-30 09:24:26 EST
This has not happened since I upgraded to FC5. (a couple of weeks ago.)

Note You need to log in before you can comment on or make changes to this bug.